<?php
  /* application description */
  define('CFG_APPLICATION_NAME','Katalog výletů');
  define('CFG_PAGE_TITLE_FORMAT','%s - Katalog výletů');
  define('CFG_DEFAULT_LANGUAGE','en');
  
  /* HTML options */  
  define('CFG_DEFAULT_CONTENT_TYPE','text/html');
  define('CFG_ALLOW_XHTML_CONTENT_TYPE',false);
  define('CFG_DEFAULT_ENCODING','utf-8');
  define('CFG_MAX_EDITBOX_AUTO_WIDTH',60);

  /* core behaviour */
  define('CFG_DEFAULT_PAGE_CLASS','TPage');
  define('CFG_USE_INDEXED_COMPONENT_LIST',true);
  define('CFG_ABSOLUTE_SITE_URI',false);
  define('CFG_MOBILE_AUTO_REFRESH',false);
  
  /* database options */
  define('CFG_SQL_DATE_FORMAT','%Y-%m-%d');
  define('CFG_SQL_TIME_FORMAT','%H:%M:%S');
  define('CFG_SQL_DATE_TIME_FORMAT',CFG_SQL_DATE_FORMAT.' '.CFG_SQL_TIME_FORMAT);

  /* debugging */
  define('CFG_ERROR_REPORTING',E_ALL);
  define('CFG_VALIDITY_CONTROL',true);
  define('CFG_READABLE_OUTPUT',true);
  define('CFG_ADVANCED_ERROR_HANDLER',true);
  define('CFG_SHOW_WARNING_OCCURENCES',true);
  define('CFG_ERROR_LOG','');    

  /* user interaction */
  define('CFG_AUTHENTICATION_METHOD',AUTH_SESSION);
  define('CFG_INPUT_ERROR_REPORTING',INPUT_ERROR_INLINE);

  /* browser detection */
  define('CFG_REAL_BROWSER_DETECT',true); // detect using javascript
  define('CFG_REDIRECT_AFTER_BROWSER_DETECTION',true); // strips the browser capabilities flags from url, but imediatelly refreshes the page
  define('CFG_ALLOW_URL_SESSION',true); // allow adding session ID to url when browser doesn't support cookies
  define('CFG_FULL_PAGE_FOR_UNDETECTED_BROWSER',false); // return fully generated page to browser that hasn't been detected yet

  /* 3rd party libraries */
  $CFG_LIBRARIES = array(
    'jquery' => array(
      '/road/lib/jquery/jquery.js'
    ),
    'ui' => array(
      '/road/lib/jquery/jquery-ui.css',
      '/road/lib/jquery/jquery-ui.js'      
    ),    
    'cleditor' => array(
      '/road/lib/jquery/jquery.cleditor.css',
      '/road/lib/jquery/jquery.cleditor.js'
    ),    
    'fancybox' => array(
      '/road/lib/fancybox/jquery.fancybox-1.3.4.css',
      '/road/lib/fancybox/jquery.fancybox-1.3.4.pack.js'
    )
  );
?>