<?php

  /**
  * Does the array contain the value
  *
  * @return bool
  */
  function arrayContains($value, $array,$strict = false) {
    return array_search($value,$array,$strict) !== false;  
  }
  /**
  * Merge two objects
  *
  * @param obj
  * @param obj  
  * @return obj
  */
  function mergeObjects($obj1, $obj2)  {
    foreach($obj2 as $name => $value) {
      $obj1->$name = $value;  
    }
    return $obj1;
  }
  
  /**
  * Recursively clones variable
  *
  * @return mixed
  */
  function cloneVariable($var)  {
    if(is_object($var)) {
      if(is_subclass_of($var,'TObject')) {
        return $var->cloneMe();
      } else {
        return clone $var;
      }
    } elseif(is_array($var)) {
      $res = array();
      foreach($var as $key => $value) {
        $res[$key] = cloneVariable($value);
      }
      return $res;
    } else {
      return $var;
    }
  }
?>