<?php
  require_once('road/run.php');
  $page->title = 'Úprava výletu';
  $road->security->requireRight(1);

  class TDestinacePanel extends TPanel {
    function destinaceUlozena($sender)  {
      $sender->road->queueMessage('Nová destinace byla úspěšně přidána',MSG_SUCCESS);
      if($this->road->isAjaxed()) { 
        $sender->javaScript = '$("#'.$this->page->lstCil->getId().'").refresh({
    leaveOut: ["'.$this->page->lstCil->getId().'"],
    data: [{name: "'.$this->page->lstCil->getId().'", value: "'.$sender->getDataset()->getRowId().'"}]
  });
  $.fancybox.close();';
      } else {
        $this->road->redirect(changeUrlQuery(absoluteUri(':'),array(
          'rAction' => false
        ),URL_QUERY_REMOVE));
      }
      return true;      
    }  
  }

  $panDestinace = new TDestinacePanel($page,'panDestinace',array(
    'renderComponent' => false,
  ));
  
  $frmDestinace = new TForm($panDestinace,'frmDestinace');
  
  $grpDestinace = new TGroupBox($frmDestinace,'grpDestinace',array(
    'caption' => 'Nová destinace',    
  ));

  $grpPopisDestinace = new TGroupBox($frmDestinace,'grpPopisDestinace',array(
    'caption' => 'Popis',
    'expandable' => true,
    'expanded' => false,    
  ));

  $tlbDestinace = new TSubmitToolBar($frmDestinace,'tlbDestinace');

  $edtNazevDestinace = new TEditBox($grpDestinace,'edtNazevDestinace',array(
    'caption' => 'Název destinace',
    'field' => 'nazev',
    'width' => 260,
  ));

  $edtObrazekDestinace = new TEditBox($grpDestinace,'edtObrazekDestinace',array(
    'caption' => 'URL obrázku',
    'field' => 'obrazek',
    'width' => 260,    
  ));
  $edtSouradniceSS = new TEditBox($grpDestinace,'edtSouradniceSS',array(
    'caption' => 'Souřadnice:        SŠ',
    'title' => 'Severní šířka',
    'field' => 'souradnice_ss',
  ));
  $edtSouradniceVD = new TEditBox($grpDestinace,'edtSouradniceVD',array(
    'caption' => 'VD',
    'title' => 'Východní délka',
    'field' => 'souradnice_vd',
    'newRow' => false,
  ));  
  $memPopisDestinace = new TTextArea($grpPopisDestinace,'memPopisDestinace',array(
    'caption'=>'Popis destinace',
    'field'=>'popis',    
  ));
  $destinace = new TTableLink($tlbDestinace,'destinace',array(
    'caption' => 'Uložit',
    'query' => 'SELECT * FROM destinace',
    'onSaved' => 'destinaceUlozena',
    'dynamic' => true,     
  ));


  $panVylet = new TPanel($page,'panVylet');

  $frmVylet = new TForm($panVylet,'frmVylet');

  /*
  $grpObecne = new TGroupBox($frmVylet,'grpObecne');
  $grpObecne->caption = 'Obecné';

  $grpSluzby = new TGroupBox($frmVylet,'grpSluzby');
  $grpSluzby->caption = 'Služby';
  
  
  $grpPopis = new TGroupBox($frmVylet,'grpPopis');  
  $grpPopis->caption = 'Popis';
  $grpPopis->expandable = true; // skupinu lze sbalit a rozbalit
  $grpPopis->expanded = false;  // skupina je implicitně sbalená
*/

  $grpObecne = new TGroupBox($frmVylet,'grpObecne',array(
    'caption' => 'Obecné',    
  ));

  $grpSluzby = new TGroupBox($frmVylet,'grpSluzby',array(
    'caption' => 'Služby',
  ));
  if($output->type == OUTPUT_MOBILE) {
    $grpSluzby->expandable = true;
    $grpSluzby->expanded = false;
  }     
  
  $grpPopis = new TGroupBox($frmVylet,'grpPopis',array(
    'caption' => 'Popis',
    'expandable' => true,
    'expanded' => false,    
  ));

  $tlbVylet = new TSubmitToolBar($frmVylet,'tlbVylet');

  $lstCil = new TLookupSelectBox($grpObecne,'lstCil',array(
    'caption' => 'Destinace',
    'query' => 'SELECT id,nazev,popis FROM destinace',
    'field' => 'cil',
//    'displayStyle' => SELECTBOX_COMBOBOX,
  ));
/*  $lstCil->caption = 'Destinace';
  $lstCil->query = 'SELECT id,nazev FROM destinace';
  $lstCil->field = 'cil';*/  
  $lstCil->addOption('','- vyberte destinaci -');    

  $btnDestinace = new TPanelOpener($grpObecne,'btnDestinace',array(
    'caption' => '+ Přidat',
    'cssClass' => 'rButton',
    'newRow' => false,
    
    'panelName' => 'panDestinace',
    'exclusive' => true,
    'dynamic' => true,
    'windowWidth' => 600,
  ));


  $lstCena = new TEditBox($grpObecne,'lstCena',array(
    'caption' => 'Cena výletu',
    'field' => 'cena',
  ));

  $lstOdjezd = new TEditBox($grpObecne,'lstOdjezd',array(
    'caption' => 'Odjezd',
    'field' => 'odjezd',
  ));

  $lstNavrat = new TEditBox($grpObecne,'lstNavrat',array(
    'caption' => 'Návrat',
    'field' => 'navrat',
    'newRow' => false,
  ));
  
  $lstSluzby = new TLookupMultiSelectBox($grpSluzby,'lstSluzby',array(
    'caption' => 'Zahrnuté služby',
    'query' => 'SELECT id, nazev, popis FROM sluzby',
//    'displayStyle' => SELECTBOX_RADIOGROUP_VERTICAL | SELECTBOX_COMBOBOX,
    'displayStyle' => SELECTBOX_RADIOGROUP_VERTICAL | SELECTBOX_LINKER,
    'relationTable' => 'sluzby_vyletu',
    'fieldThis' => 'vylet',
    'fieldRelated' => 'sluzba',
    'dynamic' => true    
  )); 
  
  $memPopis = new TTextArea($grpPopis,'memPopis',array(
    'caption'=>'Popis výletu',
    'field'=>'popis',    
  ));
  
  $vylet = new TTableLink($tlbVylet,'vylet',array(
    'caption' => 'Uložit',
    'query' => 'SELECT * FROM vylety',
    'default' => true, // reaguje na stisk kláves ENTER
    'onBeforeSave' => '> if($this->dataset->isInserting()) {$this->dataset->setRaw("vedouci",$this->road->security->userInfo->id);}',
  ));
  $btnZpet = new TLinkButton($tlbVylet,'btnZpet',array(
    'caption' => 'Zpět',
    'href' => '/seznam-vyletu.php',    
  ));
  $road->run();
?>