<?php
  if(CFG_WINDOWS) {
    define('CFG_LOCALE','');
    define('CFG_LOCALE_ENCODING','windows-1250');    
  } else {
    define('CFG_LOCALE','en_US.utf-8');
  }

  define('CFG_ENCODING','utf-8');
  define('CFG_TIMEZONE','Europe/Prague');  
  
  define('LNG_DATE_FORMAT','%Y/%m/%d');
  define('LNG_SHORT_DATE_FORMAT','%m/%d');

  define('LNG_TIME_FORMAT','%H:%M');
  define('LNG_LONG_TIME_FORMAT','%H:%M:%S');
    
  define('LNG_SHORT_DATE_TIME_FORMAT',LNG_SHORT_DATE_FORMAT.' '.LNG_TIME_FORMAT);
  define('LNG_DATE_TIME_FORMAT',LNG_DATE_FORMAT.' '.LNG_TIME_FORMAT);
  define('LNG_LONG_DATE_TIME_FORMAT',LNG_DATE_FORMAT.' '.LNG_LONG_TIME_FORMAT);
  
  define('LNG_DECIMAL_POINT','.');
  define('LNG_THOUSANDS_SEPARATOR',',');
  define('LNG_INPUT_THOUSANDS_SEPARATOR',' ');

  define('LNG_YES','yes');
  define('LNG_NO','no');
  define('LNG_LINKER_NOTHING_SELECTED','type to search:');

  define('LNG_SEARCHBOX_SELECT_ALL','all');
  define('LNG_SEARCHBOX_SELECT_ALL_TITLE','select all visible');
  define('LNG_SEARCHBOX_SELECT_NONE','none');    
  define('LNG_SEARCHBOX_SELECT_NONE_TITLE','deselect all visible');
  define('LNG_SEARCHBOX_SELECT_INVERSE','invert');
  define('LNG_SEARCHBOX_SELECT_INVERSE_TITLE','invert selection');
  define('LNG_SEARCHBOX_FILTER','search for');
  define('LNG_SEARCHBOX_UNFILTER','cancel filter');
  
  define('LNG_DATEPICKER_CLOSE','Close');
  define('LNG_DATEPICKER_EARLIER','&#x3c;Earlier');
  define('LNG_DATEPICKER_LATER','Later&#x3e;');
  define('LNG_DATEPICKER_NOW','Now');
  define('LNG_DATEPICKER_TYDEN','Week');
  define('LNG_WEEK_START',0);

  define('LNG_PAGER_NEXT','next page');  
  define('LNG_PAGER_PREV','previous page');
  define('LNG_PAGER_FIRST','first page');
  define('LNG_PAGER_LAST','last page');
  define('LNG_PAGER_DISPLAY_PAGE','page %s');
  define('LNG_PAGER_DISPLAY_ITEMS','items %s');    
      
  define('LNG_CHANGES_SAVED','saved successfuly');
  define('LNG_RECORD_DELETED','record deleted');
  
  define('LNG_BROWSER_DETECTION','Browser detection');
  define('LNG_BROWSER_DETECTION_IN_PROGRESS','Browser detection in progress...');
  define('LNG_BROWSER_DETECTION_IN_PROGRESS_TOO_LONG','If it tooks more than few seconds, your browser doesn\'t probably support JavaScriptu and automatic redirection. Please click following link to continue:');
  define('LNG_DENIED','You are not allowed to perform this action.');
    
  // please do not use language specific characters in this message, because it is displayed when encoding may not be initialized properly
  define('LNG_MANUAL_REDIRECTION','Automatic redirection failed. Your browser probably doesn\'t support this function. Please click following link to continue:');

  define('LNG_SORT_ASC_BY','sort A-Z by %s');
  define('LNG_SORT_DESC_BY','sort Z-A by %s');  
  define('LNG_SORT_BY','sort by');
  define('LNG_ASCENDING','A-Z');
  define('LNG_DESCENDING','Z-A');
  define('LNG_FIND_TEXT','search for');
  define('LNG_FILTER','filter');
  define('LNG_SELECT_RANGE','slect range');
  define('LNG_FROM','from');
  define('LNG_TO','to');
  define('LNG_DISPLAYING_ITEMS','displaying <strong>%s</strong> records of total <strong>%s</strong>');
  define('LNG_NO_ITEMS_TO_DISPLAY','no records found');
  define('LNG_CURRENCY',' Kč');

  define('LNG_BOLD_FIELDS_ARE_REQUIRED','Bold fields are required');  
        
  $LNG_EXCEPTIONS = array(
    E_ACTION_VARIABLE_NOT_FOUND => 'Action variable "%s" not suplied',
    E_METHOD_NOT_FOUND => 'Method "%s" not found',
    E_COMPONENT_NOT_FOUND => 'Component "%s" not found',
    E_ACTION_SYNTAX_ERROR => 'Action syntax error in %s',
    E_ENCODING_NOT_SUPPORTED => 'Default encoding "%s" not supported',
    E_CONVERTOR_INVALID_DATETIME => '"%s" is not valid date / time',
    E_CONVERTOR_INVALID_NUMBER => '"%s" is not valid number',
    E_CONVERTOR_INVALID_INTEGER => '"%s" is not valid integer',
    E_CONVERTOR_TOO_HIGH => 'Value "%s" is too high (max. %s)',
    E_CONVERTOR_TOO_LOW => 'Value "%s" is too low (min. %s)',
    E_CONVERTOR_TOO_LONG => 'String "%s" is too long (max. %s chars.)',
    E_CONVERTOR_TOO_SHORT => 'String "%s" is too short (min. %s chars.)',
    E_UNDEFINED_PROPERTY => 'Access to undefined property "%s"',
    E_RENDERER_NOT_FOUND => 'No suitable renderer found for component %s',
    E_CANNOT_REDIRECT => 'Automatic redirection to "%s" failed, headers has already been sent',
    E_FORMAT_CLASS_DOES_NOT_EXIST => 'Class for format "%s" doesn\'t exist. (%s)',
    E_DEFAULT_DATABASE_NOT_DEFINED => 'Properly set DB driver is needed for this action',
    E_UNDEFINED_EVENT => 'Undefined event "%s"',
    E_EVENT_FUNCTION_NOT_FOUND => 'Handler "%s" for event "%s" doesn\'t exist',
    E_INLINE_ELEMENT_CANNOT_CONTAIN_BLOCK_ELEMENTS => 'Inline element &lt;%s&gt; must not contain block element &lt;%s&gt;',
    E_DOCTYPE_DOES_NOT_ALLOW_THIS_ELEMENT => 'Element &lt;%s&gt; is not allowed for this DOCTYPE',
    E_USE_OF_UNKNOWN_ELEMENT => '&lt;%s&gt; is not valid XHTML element',
    E_ELEMENT_SHOULD_BE_SHORT => 'Element &lt;%s&gt; should be used in short notation: &lt;%1$s /&gt;',
    E_NO_AUTH_EVENT_ASSIGNED => 'Login function has to be defined for using HTTP authentization',
    E_TRANSACTIONS_NOT_SUPPORTED => 'Transactions are not supported',
    E_NOT_CONNECTED_TO_DATABASE_SERVER => 'Not connected to DB server',
    E_COULD_NOT_EXECUTE_QUERY => 'DB query failed (chyba %s): %s',
    E_COULD_NOT_CONNECT_TO_DATABASE_SERVER => 'Connection to DB server failed (chyba %s): %s',
    E_TRANSACTION_ERROR => 'Transaction handling error (chyba %s): %s',
    E_COULD_NOT_SELECT_DATABASE => 'DB selection error (chyba %s): %s',
    E_SERVER_IS_NOT_MULTIDATABASE => 'DB server does not support multiple databases',
    E_METHOD_MUST_BE_OVERRIDEN => 'Method %s must be overriden by descendant classes',
    E_INCOMPATIBLE_VALUE_FOR_FIELD => '%s is not valid value for field %s',
    E_CONNECTION_COULD_NOT_BE_CLOSED => 'Connection cannot be closed (chyba %s): %s',
    E_UNKNOWN_DATA_TYPE_FOR_FIELD => 'Unknown data type for field %s',
    E_CANNOT_INSERT_BLANK_ROW => 'Cannot insert blank record',
    E_FIELD_CANNOT_BE_NULL => 'Field "%s" should not be empty',
    E_CANNOT_UPDATE_JOINED_TABLE_FIELD => 'Cannot update value of field "%s", because it bellongs to joined table "%s"',
    E_CALL_FETCH_FIELDS_OR_INSERT_FIRST => 'Call fetchFields() or insert() first',
    E_NO_ACTIVE_DATASET => 'No data linked to component %s',
    E_FIELD_NOT_FOUND => 'Field %s doesn\'t exist',
    E_VALUE_REQUIRED => 'Fied is required',
    E_SELECT_BOX_GROUP_NOT_DEFINED => 'Group "%s" of selectBox %s is not defined',
    E_COULD_NOT_SET_DB_ENCODING => 'Could not set DB encoding (chyba %s): %s',
    E_INVALID_DB_ENCODING => 'Encoding %s not supported by DB server',
    E_CHANGES_COULD_NOT_BE_SAVED => 'Changes couldn\'t be saved due to an error',
    E_CLOSING_TAG_OMMITED => 'Closing tag ommited (&lt;/%s&gt; namísto &lt;/%s&gt;)',
    E_RECORD_KEY_VALUE_MISSING => 'Record wasn\'t fully specified',    
    E_RECORD_NOT_FOUND => 'Record not found',
    E_SQL_BAD_SYNTAX_OR_TOO_COMPLEX => "SQL query contains an error or is too complicated: \n<br/><br/><code>%s</code>",
    E_INSERT_MODE_NOT_ALLOWED => 'Insert mode not allowed',
    E_EDIT_MODE_NOT_ALLOWED => 'Edit mode not allowed',
    E_REQUIRED_SETTINGS_MISSING => 'Please provide all needed parameters: %s',
    E_RECORD_COULD_NOT_BE_IDENTIFICATED => 'Cannot identify record',
    E_TOO_FEW_ITEMS => 'Select at least %s items',
    E_TOO_MANY_ITEMS => 'You can\'t select more than %s items',
    E_INVALID_LOCALE_IDENTIFIER => 'Invalid locale identifier: %s',
    E_RECORD_CANNOT_BE_DELETED => 'Record cannot be deleted: %s',
    E_BROWSE_CAP_DETECTION_FAILED => 'Browser detection failed',
    E_DUPLICATE_VALUE => 'Value is already used',
    E_NO_OUTPUT_HANDLER => 'No output handler for: %s',
    E_CANNOT_ADD_AS_CHILD => 'Cannot add %s as a child of %s',
    E_LIBRARY_NOT_DEFINED => 'Library %s not defined'
  );
?>