<?php
  require_once('road/run.php');
  $page->title = 'Seznam výletů';
  
  $seznam = new TLister($page,'seznam');
  $seznam->query = 'SELECT v.*, d.nazev, u.jmeno FROM vylety AS v LEFT JOIN destinace AS d ON(v.cil = d.id) LEFT JOIN uzivatele AS u ON(v.vedouci = u.id)';
  $seznam->captions = array(
    'nazev' => 'Destinace',
    'odjezd' => 'Čas. odjezdu',
    'cena' => 'Cena',
    'jmeno' => 'Vedoucí'        
  );
  $seznam->createColumns(false);
  $seznam->perPage = 2;
  $seznam->odjezd->sortOrder = SORT_ASCENDING;
  if($road->security->isAllowed(1)) {
    $seznam->nazev->onGetHref = '> return "/upravit-vylet.php?vylet-keys=".$data->getRowId();';
  }
  $seznam->dynamic = true;
  
  $tlb = new TSubmitToolBar($page,'tlb');
  $btnPridat = new TLinkButton($tlb,'btnPridat',array(
    'href' => '/upravit-vylet.php',
    'caption' => '+ Přidat',
  ));

  $road->run();
?>