<?php
  require_once('road/run.php');
  $page->title = 'Služby';

  $road->security->requireRight(99);
  
  $frm = new TForm($page,'frm');
  $lstSluzby = new TControlPager($frm,'lstSluzby',array(
    'query' => 'SELECT * FROM sluzby',
    'dynamic' => true,
  ));
  $edtNazev = new TEditBox($lstSluzby,'edtNazev',array(
    'caption' => 'Název',
    'field' => 'nazev',
    'width' => 260,
    'displayCaption' => false,
    'cssClass' => 'rNotBlank',    
  ));
  $edtPopis = new TEditBox($lstSluzby,'edtPopis',array(
    'caption' =>'Popis',
    'field' =>'popis',
    'newRow' => false,
    'displayCaption' => false,
    'width'=> 400,
    'cssClass' => 'rNotBlank',
  ));

  $btnSmazat = new TDeleteButton($lstSluzby,'btnSmazat',array(
    'caption' => 'X',
    'title'=> 'odstranit službu',
    'confirmText' => 'Opravdu chcete odstranit tuto službu?',
  ));

  $tlb = new TSubmitToolBar($frm,'tlb');

  $btnPridat = new TInsertButton($tlb,'btnPridat',array(
    'caption' => '+ 1',
    'title'=> 'přidat 1 službu',    
    'pagerControl' => 'lstSluzby',    
  ));
  $btnPridat5 = new TInsertButton($tlb,'btnPridat5',array(
    'caption' => '+ 5',
    'title'=> 'přidat 5 služeb',
    'pagerControl' => 'lstSluzby',
    'howMany' => 5,
  ));

  $sluzby = new TMultiTableLink($tlb,'sluzby',array(
    'caption' => 'Uložit',
    'default' => true,
    'pagerControl' => 'lstSluzby',
  ));
  $btnZpet = new TLinkButton($tlb,'btnZpet',array(
    'caption' => 'Zpět',
    'href' => 'index.php',    
  ));
  
  $road->run();
?>